## tp-el 0.6

=== debian/changelog ===
tp-el (0.6-2) unstable; urgency=medium

  * Source-only upload
  * Update debian copyright year

 -- Xiyue Deng <manphiz@gmail.com>  Wed, 08 Jan 2025 16:08:02 -0800

tp-el (0.6-1) unstable; urgency=medium

  * Initial release (Closes: #1091386).

 -- Xiyue Deng <manphiz@gmail.com>  Wed, 25 Dec 2024 01:55:56 -0800
