## tp-el 0.7

=== debian/changelog ===
tp-el (0.7-1) unstable; urgency=medium

  * New upstream release
  * Add d/salsa-ci.yml with default template

 -- Xiyue Deng <manphiz@gmail.com>  Mon, 10 Feb 2025 12:04:54 -0800
