=== debian/control ===
Source: tp-el
Section: editors
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Xiyue Deng <manphiz@gmail.com>
Build-Depends: debhelper-compat (= 13),
 dh-elpa
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/emacsen-team/tp-el
Vcs-Git: https://salsa.debian.org/emacsen-team/tp-el.git
Homepage: https://codeberg.org/martianh/tp.el
Rules-Requires-Root: no

Package: elpa-tp
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}
Recommends: emacs
Enhances: emacs
Description: Utilities for transient menus that POST to an API
 Some functions, classes and methods to make it easier to create
 transient menus that send complex POST, PUT, or PATCH requests to JSON
 APIs.
 .
 A typical use-case is where you have a single endpoint that takes many
 different parameters. It's handy for a user to be able to set all the
 options, then make a single request to change all the settings on the
 server. It's also expected that they'll be able to view all the current
 settings on the server, and make modifications to them for sending.
 .
 The classes and methods define some transient behaviours that make
 sense for dealing with APIs:
 .
  - It handles fetching and saving current server settings, and initialize
  its transients with the values fetched
  - It compares the state of a current transient option against the server
  values
  - It distinguishes the formatting of server settings and current transient
  setting
  - When reading a string from the user, it provides the server setting as
  default input
  - It can seemlessly handle making requests with arrays, i.e. =source[key]=,
  or =field[1][name]= parameters
  - It can easily fetch an infix's allowed values for =completing-read=
  - It (usually) only sends changed values to the server.
