=== debian/watch ===
version=4
opts="mode=git" \
    https://codeberg.org/martianh/tp.el \
    refs/tags/@ANY_VERSION@ debian
