## tp-el 0.8

=== debian/changelog ===
tp-el (0.8-1) unstable; urgency=medium

  * New upstream release
  * Update Standards-Version to 4.7.3; no change needed
  * Drop `Rules-Requires-Root: no'; now default
  * Drop `Priority: optional'; now default
  * Update my Debian copyright year
  * Migrate d/watch to version 5 format

 -- Xiyue Deng <manphiz@gmail.com>  Sat, 28 Feb 2026 19:04:15 -0800
