=== debian/control ===
--- 
+++ 
@@ -1,15 +1,13 @@
 Source: tp-el
 Section: editors
-Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Xiyue Deng <manphiz@gmail.com>
 Build-Depends: debhelper-compat (= 13),
  dh-elpa
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/emacsen-team/tp-el
 Vcs-Git: https://salsa.debian.org/emacsen-team/tp-el.git
 Homepage: https://codeberg.org/martianh/tp.el
-Rules-Requires-Root: no
 
 Package: elpa-tp
 Architecture: all
