=== debian/watch ===
Version: 5

Source: https://codeberg.org/martianh/tp.el
Matching-Pattern: refs/tags/@ANY_VERSION@
Mode: git
